Package org.codehaus.groovy.antlr.java

# Class Java2GroovyProcessor

java.lang.Object
org.codehaus.groovy.antlr.java.Java2GroovyProcessor

    @Deprecated
    public class Java2GroovyProcessor
    extends java.lang.Object

Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Java2GroovyProcessor()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `convert​(java.lang.String filename, java.lang.String input)` | Deprecated.
  `static java.lang.String` | `convert​(java.lang.String filename, java.lang.String input, boolean withHeader, boolean withNewLines)` | Deprecated.
  `static java.lang.String` | `mindmap​(java.lang.String input)` | Deprecated.
  `static java.lang.String` | `nodePrinter​(java.lang.String input)` | Deprecated.
  `static void` | `processFiles​(java.util.List<java.lang.String> fileNames)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Java2GroovyProcessor

    public Java2GroovyProcessor()
    Deprecated.

- ## Method Details

  - ### processFiles

    public static void processFiles​(java.util.List<java.lang.String> fileNames) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### convert

    public static java.lang.String convert​(java.lang.String filename, java.lang.String input) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### convert

    public static java.lang.String convert​(java.lang.String filename, java.lang.String input, boolean withHeader, boolean withNewLines) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### mindmap

    public static java.lang.String mindmap​(java.lang.String input) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### nodePrinter

    public static java.lang.String nodePrinter​(java.lang.String input) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`